For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all webhooks

List all webhooks.

Required permissions: WEBHOOK

get
/tenants/{tenantUid}/webhooks
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
httpTransportUidstringOptional

Http Transport uid

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/webhooks
GET /v2/tenants/{tenantUid}/webhooks HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "action": "PRODUCT_CREATE",
      "httpTransport": {
        "headers": [
          {
            "key": "text",
            "value": "text"
          }
        ],
        "name": "text",
        "password": "text",
        "securityType": "NONE",
        "token": "text",
        "httpTransportUid": "text",
        "url": "text",
        "username": "text"
      },
      "webhookUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?